Ask a Question

How do I enable TLS 1.0 in SoapUI 5.7?

jonjac
New Contributor

How do I enable TLS 1.0 in SoapUI 5.7?

I am trying to send requests to an old system that uses TLS1.0. How do I enable it in SoapUI on macOS?

 

screenshot_657.png

 

I tried adding ‑Djdk.tls.client.protocols="TLSv1,TLSv1.1,TLSv1.2" to JAVA_OPTS in soapui.sh in the application package directory Contents/java/app/bin/ but it didn't seem to help.

 

3 REPLIES 3
nmrao
Community Hero

@jonjac you should use just the version required instead of all separated by comma.



Regards,
Rao.
jonjac
New Contributor

Don't really understad what you mean. I have added the protocol to this string to no avail:

 

JAVA_OPTS="-Xms128m -Xmx1024m -XX:MinHeapFreeRatio=20 -XX:MaxHeapFreeRatio=40 -Dsoapui.properties=soapui.properties -Dgroovy.source.encoding=iso-8859-1 -Dsoapui.home=$SOAPUI_HOME/bin -splash:SoapUI-Spashscreen.png ‑Djdk.tls.client.protocols=TLSv1"

 

also tried with -Dsoapui.https.protocols=TLSv1 which I saw in another discussion. But no difference what so ever.

nmrao
Community Hero

@jonjac 

Ok, thanks for trying.

 

Would you please take a look at the below thread? And see if that helps.

https://community.smartbear.com/t5/SoapUI-Open-Source-Questions/How-to-enable-TLS-1-2-in-SoapUI/td-p...



Regards,
Rao.
cancel
Showing results for 
Search instead for 
Did you mean: